/**********************
 * Pendulo.java
 * Converts telemetry into .cvs file
 * 
 * @author Daniel Héctor Stolfi Rosso
 */

import java.io.BufferedInputStream;
import java.io.DataInputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

public class Pendulo {
		
	public static void main(String[] args) {

		DataInputStream in = null;
		
		if (args.length < 1) { 
			System.out.println("Uso: Pendulo fichero.log");
		} else {
			/* Open file */
	        try {
				in = new DataInputStream(new BufferedInputStream(new FileInputStream(args[0])));
			} catch (FileNotFoundException e1) {
				e1.printStackTrace();
			}
			/* Initialize vars */
	        int ch;
	        int time = 1;
	        int pos = 0;
	        try {
	        	/* Read and process data */
				while (true) {
					System.out.print(time); // Time
					System.out.print(",");
					ch = in.readByte(); // Angle 
					System.out.print(ch);
					System.out.print(",");
					ch = in.readByte(); // Action
					System.out.print(ch);
					System.out.print(",");
					ch = in.readByte(); // Move
					if (ch=='L') {
						pos--; // Left
					} else if (ch=='R') {
						pos++; // Right
					}
					System.out.println(pos);
					time++;
				}
			} catch (IOException e) {
			}
			/* Close and quit */
	        try {
				in.close();
			} catch (IOException e) {
				e.printStackTrace();
			}				
			
		}		
	}	
}
